Subject: bug#1379: emacs --daemon not working with X11 dual-head

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 21 Nov 2008 08:12:54 -0800 (PST)

[email-masked] writes:

  > >>>>> "Dan" == Dan Nicolaescu <[email-masked]> writes:
  > 
  >     Dan> [email-masked] writes:
  >     >> >>>>> "Stefan" == Stefan Monnier <[email-masked]>
  >     >> writes:
  >     >> 
  >     >> >>>> I wanted to start using the "emacs --daemon" option with
  >     >> >>>> subsequent "emacsclient ..." invocations. Everything works
  >     >> >>>> fine, as long as only one of my X11 screens is used. But
  >     >> when >>>> I want to start a new frame on display :0.1 while one
  >     >> or more >>>> frames are already running on display :0.0 the
  >     >> following >>>> happens:
  >     >> >>>> 
  >     >> >>>> - Executing "emacsclient -c " for the first time: A frame
  >     >> >>>> appears, and immediately disappears again with the error
  >     >> >>>> message *ERROR*: X protocol error: BadDrawable (invalid
  >     >> >>>> Pixmap or Window parameter) on protocol request 14
  >     >> >>>> 
  >     >> >>>> - Executing "emacsclient -c " for the second time: A frame
  >     >> >>>> appears, but emacs is in a complete dead lock after this.
  >     >> >>>> 
  >     >> >>>> Used Version: i emacs-snapshot 1:20081013-1
  >     >> >>>> 
  >     >> >>>> on Ubuntu 8.10 / x86_64
  >     >> 
  >     >> 
  >     Dan> Can you please try to see if your scenario works without
  >     Dan> using the --daemon option?
  >     >> 
  >     Stefan> Actually, can you just try it without any
  >     Stefan> emacsclient/server?  I.e. start Emacs on one of the
  >     Stefan> screens, then do M-x make-frame-on-display and specify the
  >     Stefan> other display.
  >     >> 
  >     >> Good idea. It also doesn't work. Same error message.
  > 
  >     Dan> Can you please try to recompile emacs with
  >     Dan> --with-x-toolkit=lucid ?  And try again emacs -Q and M-x
  >     Dan> make-frame-on-display ?  (This is to make sure this is not a
  >     Dan> Gtk bug)
  > 
  > Yup, that was it. With the lucid toolkit, the problem is gone. Thanks
  > for the hint, and good luck in finding out what is wrong with gtk ;-).

Thanks for confirming that.  Does your distribution also provide
emacs-22.3?  If yes, is it compiled with gtk?  Can you please check if
emacs -Q followed by M-x make-frame-on-display work on that version?